
Firewall on Demand - Feature # 2072

Status: Assigned Priority: Low

Author: Leonidas Poulopoulos Category: API

Created: 02/20/2012 Assignee: Leonidas Poulopoulos

Updated: 03/05/2012 Due date:

Subject: Formset support in rule submission

Description

Support for multiple rule submission at once. This may require changes in the nxpy package and the proxy component. Such a change

would boost DDoS attacks mitigation especially when the rules are applied via the REST api (faster than the GUI for this case)

Related issues:

related to Firewall on Demand - Feature # 1811: Add REST API - fetch rules New 12/27/2011

blocked by Firewall on Demand - Feature # 2128: Firewall rule limits per user... New 03/01/2012

History

#1 - 02/24/2012 03:58 pm - Leonidas Poulopoulos

- Status changed from New to Assigned

- % Done changed from 0 to 10

Implemented elementary formset support

#2 - 03/01/2012 04:33 pm - Leonidas Poulopoulos

- File formset.png added

Implemented basic formset rendering with jquery formset support (same as admin inline). Screenshot from dev:

formset.png

#3 - 03/05/2012 05:09 pm - Leonidas Poulopoulos

- % Done changed from 10 to 80

Rule formset is almost done. Tested with dev switch and works.

Have to implement some basic formset clean in forms.py

Files
